; --------------------------------------------------------------------------------
; DETERMINACAO DA FAMILIA DO MICROCONTROLADO CORRENTE                   06/08/2011
;
; Esta macro gera o simbolbo __FAMILIA identificando o tipo de microcontrolador
; que esta sendo usado, permitindo que outraas macros gerem codigos apropriados
; para cada um.
;
; --------------------------------------------------------------------------------
FAMILIAS  MACRO

          VARIABLE     __FAMILIA
__FAMILIA SET          0

          IFDEF  __12F675
__FAMILIA SET    12
          ENDIF

          IFDEF  __16F688
__FAMILIA SET    16
          ENDIF

          IFDEF  __16F628A
__FAMILIA SET    16
          ENDIF

          IFDEF  __16F73
__FAMILIA SET    16
          ENDIF

          IFDEF  __16F873A
__FAMILIA SET    16
          ENDIF

          IFDEF  __16F877A
__FAMILIA SET    16
          ENDIF

          IFDEF  __18F4520
__FAMILIA SET    18
          ENDIF

          IFDEF  __18F4620
__FAMILIA SET    18
          ENDIF

          IFDEF  __18F4550
__FAMILIA SET    18
          ENDIF

          ENDM